summaryrefslogtreecommitdiff
blob: b4971b3a56deb18e54ec43a4e96a2a802a22a170 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
{'description': {'en': 'The Gentoo Science Overlay is intended as a place to '
                       'work\n'
                       '    outside of the main portage tree on experimental '
                       'ebuilds. Our aim is to\n'
                       '    increase the rate of development of scientific '
                       'packages for Gentoo, but\n'
                       '    ebuilds in this repository are by their very '
                       'nature more experimental. If\n'
                       '    you wish to use them you should be willing to help '
                       'test and report\n'
                       '    bugs. For contribution read '
                       'https://wiki.gentoo.org/wiki/Project:Science/Contributing\n'
                       '    '},
 'feed': ['https://cgit.gentoo.org/proj/sci.git/atom/',
          'https://github.com/gentoo-science/sci/commits/master.atom'],
 'homepage': 'https://wiki.gentoo.org/wiki/Project:Science',
 'name': 'science',
 'owner': [{'email': 'sci@gentoo.org', 'name': 'sci', 'type': 'project'}],
 'quality': 'experimental',
 'source': [{'type': 'git',
             'uri': 'https://anongit.gentoo.org/git/proj/sci.git'},
            {'type': 'git', 'uri': 'git://anongit.gentoo.org/proj/sci.git'},
            {'type': 'git', 'uri': 'git+ssh://git@git.gentoo.org/proj/sci.git'},
            {'type': 'git', 'uri': 'https://github.com/gentoo-science/sci.git'},
            {'type': 'git', 'uri': 'git://github.com/gentoo-science/sci.git'},
            {'type': 'git', 'uri': 'git@github.com:gentoo-science/sci.git'}],
 'status': 'official'}
$ pmaint sync science
warning: Pulling without specifying how to reconcile divergent branches is
discouraged. You can squelch this message by running one of the following
commands sometime before your next pull:

  git config pull.rebase false  # merge (the default strategy)
  git config pull.rebase true   # rebase
  git config pull.ff only       # fast-forward only

You can replace "git config" with "git config --global" to set a default
preference for all repositories. You can also pass --rebase, --no-rebase,
or --ff-only on the command line to override the configured default per
invocation.

From https://anongit.gentoo.org/git/proj/sci
   8a65791c8..d239355ea  master     -> origin/master
Updating 8a65791c8..d239355ea
Fast-forward
 sci-astronomy/bpz/Manifest           |  1 -
 sci-astronomy/bpz/bpz-1.99.3.ebuild  | 57 ------------------------------------
 sci-astronomy/bpz/metadata.xml       | 12 --------
 sci-astronomy/erfa/Manifest          |  1 +
 sci-astronomy/erfa/erfa-1.7.1.ebuild | 30 +++++++++++++++++++
 5 files changed, 31 insertions(+), 70 deletions(-)
 delete mode 100644 sci-astronomy/bpz/Manifest
 delete mode 100644 sci-astronomy/bpz/bpz-1.99.3.ebuild
 delete mode 100644 sci-astronomy/bpz/metadata.xml
 create mode 100644 sci-astronomy/erfa/erfa-1.7.1.ebuild
*** syncing science
*** synced science
 * Sync succeeded
$ git log --format=%ci -1
$ git show -q --pretty=format:%G? HEAD
$ pmaint regen --use-local-desc --pkg-desc-index -t 1 science
 * sci-biology/Atlas2-1.4.3: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * sci-biology/bio-cd-hit-report-0.1.0: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * sci-biology/biopieces-0.51: failed parsing REQUIRED_USE: '^^ ( python_single_target_python2_7 ) || ( )' is unparseable
 * sci-biology/biopieces-9999: failed parsing REQUIRED_USE: '^^ ( python_single_target_python2_7 ) || ( )' is unparseable
 * sci-biology/full_lengther_next-0.6.2: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * sci-biology/scbi_blast-0.0.43: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * sci-biology/scbi_fasta-0.1.9: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * sci-biology/scbi_fastq-0.0.22: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * sci-biology/scbi_mapreduce-0.0.45: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * sci-biology/scbi_plot-0.0.7: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * sci-biology/scbi_zcat-0.0.2: failed parsing REQUIRED_USE: '|| ( )' is unparseable
 * Cache regen failed with 1